import Quaternion from "../../../../../core/geom/Quaternion.js";
import Vector3 from "../../../../../core/geom/Vector3.js";

const q = new Quaternion();

/**
 *
 * @param {number} yaw
 * @param {number} pitch
 * @param roll
 * @param {Vector3} result
 */
export function computeCameraFacingVector(yaw, pitch, roll, result) {
    q.fromEulerAnglesZYX(pitch, yaw, roll);
    q.normalize();

    result.copy(Vector3.forward);
    result.applyQuaternion(q);
    result.normalize();

}
